module SoccersApi
  class Leader
    class << self
      require 'rest-client'
      LEADER = 'leaders'.freeze

      def topcards(season_id)
        SoccersApi.api_url(
          api_for: LEADER,
          type: "topcards",
          id_type: 'season_id',
          id: season_id
        )
      end

      def topscorers(season_id)
        SoccersApi.api_url(
          api_for: LEADER,
          type: "topscorers",
          id_type: 'season_id',
          id: season_id
        )
      end

      def topassists(season_id)
        SoccersApi.api_url(
          api_for: LEADER,
          type: "topassists",
          id_type: 'season_id',
          id: season_id
        )
      end
    end
  end
end
