module SoccersApi
  class LiveScore
    class << self
      require 'rest-client'
      LIVE_SCORE = 'livescores'.freeze

      def today
        SoccersApi.api_url(
          api_for: LIVE_SCORE,
          type: "today"
        )
      end

      def tomorrow
        SoccersApi.api_url(
          api_for: LIVE_SCORE,
          type: "tomorrow"
        )
      end

      def yesterday
        SoccersApi.api_url(
          api_for: LIVE_SCORE,
          type: "yesterday"
        )
      end

      def not_started
        SoccersApi.api_url(
          api_for: LIVE_SCORE,
          type: "notstarted"
        )
      end

      def live
        SoccersApi.api_url(
          api_for: LIVE_SCORE,
          type: "live"
        )
      end

      def ended
        SoccersApi.api_url(
          api_for: LIVE_SCORE,
          type: "ended"
        )
      end
    end
  end
end
