module SoccersApi
  class Round
    class << self
      require 'rest-client'
      ROUND = 'rounds'.freeze

      def by_id(id)
        SoccersApi.api_url(
          api_for: ROUND,
          type: "info",
          id_type: 'id',
          id: id
        )
      end

      def by_season(season_id)
        SoccersApi.api_url(
          api_for: ROUND,
          type: "byseason",
          id_type: 'season_id',
          id: season_id
        )
      end
    end
  end
end
