module SoccersApi
  class Betting
    class << self
      require 'rest-client'
      BETTING = 'fixtures'.freeze

      def pre_match_odds(match_id)
        SoccersApi.api_url(
          api_for: LEADER,
          type: "match_odds",
          id_type: 'match_id',
          id: match_id
        )
      end

      def match_odds_by_bookmaker(match_id)
        SoccersApi.api_url(
          api_for: LEADER,
          type: "match_odds",
          id_type: 'match_id',
          id: match_id
        )
      end

      def in_play_odds(match_id)
        SoccersApi.api_url(
          api_for: LEADER,
          type: "match_oddsinplay",
          id_type: 'match_id',
          id: match_id
        )
      end

    end
  end
end
