module SoccersApi
  class Player
    class << self
      require 'rest-client'
      PLAYER = 'players'.freeze

      def by_id(id)
        SoccersApi.api_url(
          api_for: PLAYER,
          type: "info",
          id_type: 'id',
          id: id
        )
      end

      def by_country(country_id)
        SoccersApi.api_url(
          api_for: PLAYER,
          type: "info",
          id_type: 'country_id',
          id: country_id
        )
      end
    end
  end
end
