module SoccersApi
  class Season
    class << self
      require 'rest-client'
      SEASON = 'seasons'.freeze

      def by_id(id)
        SoccersApi.api_url(
          api_for: SEASON,
          type: "info",
          id_type: 'id',
          id: id
        )
      end
    end
  end
end
